View Issue Details

IDProjectCategoryView StatusLast Update
0015284ScribusInternalpublic2019-06-04 20:56
Reporterdcb Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.3 
Target VersionFixed in Version1.5.5.svn 
Summary0015284: Wrong delete operator used on cpp array
Descriptionscribus-1.5.3/scribus/plugins/scripter/pythonize.cpp:125]: (error) Mismatching allocation and deallocation: line

Source code is

    char *line = new char [length];
    if (!line) return false;
    snprintf (line, length, fmtString, newPath, newPath);

    int res = PyRun_SimpleString (line);

    delete line;

Suggest use

    char *line = new char [length];
    if (!line) return false;
    snprintf (line, length, fmtString, newPath, newPath);

    int res = PyRun_SimpleString (line);

    delete [] line;
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-04-29 16:52 dcb New Issue
2018-04-30 09:35 jghali Summary scribus-1.5.3/scribus/plugins/scripter/pythonize.cpp:125: wrong delete ? => Wrong delete operator used on cpp array
2018-04-30 09:35 jghali Assigned To => jghali
2018-04-30 09:35 jghali Status new => resolved
2018-04-30 09:35 jghali Resolution open => fixed
2018-04-30 09:35 jghali Fixed in Version => 1.5.5.svn
2018-04-30 10:36 jghali Category Plug-ins => Internal
2018-04-30 15:24 jghali Product Version => 1.5.3
2019-06-04 20:56 cbradney Status resolved => closed